Re: [R] Is there rpm for suse 9.1 under x86_64?

From: Peter Dalgaard <p.dalgaard_at_biostat.ku.dk>
Date: Sun 04 Jul 2004 - 19:53:54 EST

Peter Mathe <mathe@wias-berlin.de> writes:

> I recently upgraded to Suse 9.1 for Amd64.
> So far I could not find precompiled binaries of R-1.9.1 for this case.
> So I tried installation from source, but could not succeed. Although
> the configuration/installation procedure ran without problems, the
> make check always ended with errors. When trying to run R , to see
> what's going on, the eigen() reported error code -18.
> So, is a rpm for R-base-1.9.1 under x86_64 for Suse available, or how
> can I succesfully install from sources?

I can't get the upgrade working for me (SATA trouble -- again!) but I have 9.0 on a system. This has run cleanly for a while with a home-built RPM based on Detlef's SPEC file, as well as several local builds.

A good guess is that they upgraded GCC and something got broken -- again. You could try reducing the optimization levels on the relevant files, or as the first thing on everything (-O0 in CFLAGS and FFLAGS).

> Thank's for reading this message, Peter

How did you know I would, Peter? ;-)

-- 
   O__  ---- Peter Dalgaard             Blegdamsvej 3  
  c/ /'_ --- Dept. of Biostatistics     2200 Cph. N   
 (*) \(*) -- University of Copenhagen   Denmark      Ph: (+45) 35327918
~~~~~~~~~~ - (p.dalgaard@biostat.ku.dk)             FAX: (+45) 35327907

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://www.stat.math.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Received on Sun Jul 04 19:59:20 2004

This archive was generated by hypermail 2.1.8 : Wed 03 Nov 2004 - 22:54:40 EST